Skip to main content

Standard Public Cloud Co - List All

Get list of all Azure Public Standard cloud connectors.

GET https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/{projectId}/azure/cloudconnectors/publicstandarddynamics

URI Parameters​

NameInRequiredTypeDescription
projectIdpathtruestringThe project identifier which uniquely identify your project in Evolution Platform.

Responses​

NameTypeDescription
200 OKList of cloud connectorsSuccessful operation
Other Status CodesError responseError response describing why the operation failed.

Header content​

NameTypeDescription
X-Total-Countintegernumber total of items
X-Result-Countintegernumber of returned items

Response fields​

NameTypeDescription
idstring (UUID)Cloud connector identifier.
namestringCloud connector name.
statestringConnector state: DESIGNING, DESIGNED, BOOKING, RESERVED, PROVISIONING, ACTIVE, STOPPING, SUSPENDING, INACTIVE, REPAIRING, TERMINATED, or ERROR.
projectIdstring (UUID)Identifier of the owning project.
bandwidthinteger (int32)Cloud connector bandwidth.
maxBandwidthinteger (int32)Maximum cloud connector bandwidth.
technicalVpnIdstring (UUID)Associated network connector identifier.
azureCredentialIdstring (UUID)Azure credential identifier.
azureRegionstringAzure region.
resourceGroupNamestringAzure resource group name.
workflowExecutionIdstring (UUID)Most recent workflow execution identifier.
workflowExecutionStatusstringWorkflow status: CREATED, IN_PROGRESS, SUCCEEDED, FAILED, or CLEARED.
operationalStatusstringOperational status: N/A, Up, Down, or Unknown.
lastTimeOperationalStatusKnownstring (date-time)Time when the operational status was last known.
customerPurchaseOrderNumberstringCustomer purchase order number.
externalBillingRefstringExternal billing reference.
primaryPopLocalizationstringPrimary point-of-presence localization.
vnetNamestringVirtual network name.
azureGatewaySubnetstringAzure gateway subnet.
azureAsninteger (int64)Azure autonomous system number.
networkSideAsninteger (int64)Network-side autonomous system number.
networkSideGatewaySubnetstringNetwork-side gateway subnet.

Security​

Type: HTTP Bearer

Token format: JWT

Header: Authorization: Bearer YOUR_ACCESS_TOKEN

Examples​

Request​

GET https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/{projectId}/azure/cloudconnectors/publicstandarddynamics

Response​

HTTP 200
Content: application/json

[
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string",
"state": "DESIGNED",
"projectId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"bandwidth": 0,
"technicalVpnId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"azureCredentialId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"primaryPopLocalization": "string",
"azureRegion": "string",
"resourceGroupName": "string",
"vnetName": "string",
"azureGatewaySubnet": "k",
"azureAsn": 0,
"networkSideAsn": 0,
"workflowExecutionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflowExecutionStatus": "CREATED",
"networkSideGatewaySubnet": "string"
}
}